Servlet 3.0 - Apache Tomcat 7.0.42

## javax.servlet.annotation
Enum ServletSecurity.EmptyRoleSemantic

    java.lang.Object
      java.lang.Enum<ServletSecurity.EmptyRoleSemantic>
          javax.servlet.annotation.ServletSecurity.EmptyRoleSemantic

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ServletSecurity.EmptyRoleSemantic>

Enclosing class:
  ServletSecurity

    public static enum ServletSecurity.EmptyRoleSemantic

extends java.lang.Enum<ServletSecurity.EmptyRoleSemantic>

Represents the two possible values of the empty role semantic, active when a list of role names is empty.

Enum Constant Summary
`DENY` Access MUST be denied, regardless of authentication state or identity
`PERMIT` Access MUST be permitted, regardless of authentication state or identity

Method Summary
`static ServletSecurity.EmptyRoleSemantic` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ServletSecurity.EmptyRoleSemantic[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PERMIT

    public static final ServletSecurity.EmptyRoleSemantic PERMIT

  Access MUST be permitted, regardless of authentication state or identity

### DENY

    public static final ServletSecurity.EmptyRoleSemantic DENY

  Access MUST be denied, regardless of authentication state or identity

Method Detail

### values

    public static ServletSecurity.EmptyRoleSemantic[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ServletSecurity.EmptyRoleSemantic c : ServletSecurity.EmptyRoleSemantic.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ServletSecurity.EmptyRoleSemantic valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Servlet 3.0 - Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.